llvm.org GIT mirror llvm / 5d89904
Deprecate Autoconf As per the very positive feedback from llvm-dev (http://lists.llvm.org/pipermail/llvm-dev/2015-November/092150.html), this commit officially deprecates the LLVM autoconf-based build system. Anyone still using it should switch to CMake. git-svn-id: https://llvm.org/svn/llvm-project/llvm/trunk@252520 91177308-0d34-0410-b5e6-96231b3b80d8 Chris Bieneman 3 years ago
3 changed file(s) with 22 addition(s) and 0 deletion(s). Raw diff Collapse all Expand all
1937819378 done
1937919379 fi
1938019380
19381 echo ""
19382 echo ""
19383 echo "################################################################################"
19384 echo "################################################################################"
19385 echo "The LLVM project has deprecated building with configure & make."
19386 echo "The autoconf-based makefile build system will be removed in the 3.9 release."
19387 echo ""
19388 echo "Please migrate to the CMake-based build system."
19389 echo "For more information see: http://llvm.org/docs/CMake.html"
19390 echo "################################################################################"
19391 echo "################################################################################"
19392
33
44 .. contents::
55 :local:
6
7 .. warning::
8
9 Building LLVM with autoconf is deprecated as of 3.8. The autoconf build
10 system will be removed in 3.9. Please migrate to using CMake. For more
11 information see: `Building LLVM with CMake `_
612
713 Overview
814 ========
3535 * With this release, the minimum Windows version required for running LLVM is
3636 Windows 7. Earlier versions, including Windows Vista and XP are no longer
3737 supported.
38
39 * With this release, the autoconf build system is deprecated. It will be removed
40 in the 3.9 release. Please migrate to using CMake. For more information see:
41 `Building LLVM with CMake `_
3842
3943 .. NOTE
4044 For small 1-3 sentence descriptions, just add an entry at the end of